servant-0.11: A family of combinators for defining webservices APIs

Safe Haskell | Safe
Language | Haskell2010

Servant.API.Experimental.Auth

Synopsis

- data AuthProtect tag

# Documentation

data AuthProtect tag #

A generalized Authentication combinator. Use this if you have a non-standard authentication technique.

NOTE: THIS API IS EXPERIMENTAL AND SUBJECT TO CHANGE.

Instances

HasLink k1 sub => HasLink * ((:>) k1 * (AuthProtect k tag) sub) # |
Associated Types type MkLink ((:>) k1 * (AuthProtect k tag) sub) (endpoint :: (:>) k1 * (AuthProtect k tag) sub) :: * # Methods toLink :: Proxy ((k1 :> *) (AuthProtect k tag) sub) endpoint -> Link -> MkLink ((k1 :> *) (AuthProtect k tag) sub) endpoint #
type MkLink * ((:>) k * (AuthProtect k1 tag) sub) # |
type MkLink * ((:>) k * (AuthProtect k1 tag) sub) = MkLink k sub